import 'package:firebase_repository/firebase_repository.dart';

abstract class TratamientosRepository {
  Future<void> addNewTratamiento(Tratamiento tratamiento);

  Future<void> deleteTratamiento(Tratamiento tratamiento);

  Stream<List<Tratamiento>> tratamientos();

  Future<void> updateTratamiento(Tratamiento tratamiento);
}
