import 'dart:async';

import 'package:cloud_firestore/cloud_firestore.dart';

import 'models/models.dart';

abstract class TropasRepository {
  Future<DocumentReference> addNewTropa(Tropa tropa);

  Future<void> deleteTropa(Tropa tropa);

  Stream<List<Tropa>> tropas();

  Future<void> updateTropa(Tropa tropa);
}
